register.hh File Reference
`#include <mia/3d/deformer.hh>`
Include dependency graph for 3d/register.hh:

Go to the source code of this file.

## Data Structures

class | C3DImageRegister

## Typedefs

typedef std::shared_ptr< C3DImageCost > | P3DImageCost
| A 3D non-rigid image registration class.
typedef std::shared_ptr< C3DRegModel > | P3DRegModel

## Variables

NS_MIA_BEGIN typedef std::shared_ptr< C3DFVectorfield > | P3DFVectorfield

## Typedef Documentation

## P3DRegModel

typedef std::shared_ptr<C3DRegModel > P3DRegModel

Definition at line 89 of file 3d/register.hh.

## Variable Documentation

## P3DFVectorfield

NS_MIA_BEGIN typedef std::shared_ptr< C3DFVectorfield > P3DFVectorfield

Definition at line 32 of file 3d/register.hh.

Referenced by C3DImageRegister::operator()().